Gallery Platform API
Reference

Get a contact

Returns the contact plus its recent interactions, open tasks, pipeline memberships, ownership links, and — for a first-party editor — its private notes.

GET
/gallery/contacts/{id}

Returns the contact plus its recent interactions, open tasks, pipeline memberships, ownership links, and — for a first-party editor — its private notes.

Authorization

bearerAuth contacts:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: contacts:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "contact_type": "collector",  "name": "string",  "company": "string",  "email": "string",  "phone": "string",  "notes": "string",  "assignee_ids": [    "string"  ],  "lead_status": "new",  "form_of_address": "string",  "do_not_email": true,  "archived_at": "string",  "created_at": "string",  "updated_at": "string",  "custom_fields": {    "property1": null,    "property2": null  },  "collector_profile": {    "collecting_focus": "string",    "budget_band": "string",    "wishlist_notes": "string",    "preferred_contact_method": "string",    "vip": true,    "tax_exempt": true,    "created_at": "string",    "updated_at": "string"  },  "institution_profile": {    "institution_kind": "string",    "tax_exempt": true,    "acquisition_process": "string",    "primary_contact_name": "string",    "created_at": "string",    "updated_at": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  },  "recent_interactions": [    {      "id": "string",      "contact_id": "string",      "actor_id": "string",      "type": "note",      "direction": "inbound",      "subject": "string",      "body": "string",      "artwork_id": "string",      "occurred_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "open_tasks": [    {      "id": "string",      "contact_id": "string",      "created_by": "string",      "assignee_id": "string",      "title": "string",      "due_at": "string",      "done_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "pipelines": [    {      "list_id": "string",      "contact_id": "string",      "stage_id": "string",      "position": -9007199254740991,      "note": "string",      "created_at": "string"    }  ],  "ownership": [    {      "id": "string",      "artwork_id": "string",      "contact_id": "string",      "role": "string",      "acquired_at": "string",      "note": "string",      "created_at": "string"    }  ],  "private_notes": [    {      "id": "string",      "contact_id": "string",      "author_id": "string",      "body": "string",      "created_at": "string"    }  ]}